> For the complete documentation index, see [llms.txt](https://docs.dapplooker.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dapplooker.com/data-apis-for-ai/token-directory.md).

# Token Directory

Fetch a complete list of indexed crypto tokens along with essential metadata. Useful for discovery, enumeration, and validation of active tokens across supported chains and protocols.

### **Endpoint**

<mark style="color:yellow;">**GET**</mark> <mark style="color:orange;">`https://api.dapplooker.com/v1/crypto-metainfo`</mark>

> #### 💡 Pro **Tips**&#x20;
>
> * This endpoint returns a maximum of 100 items per page. Use <mark style="color:orange;">`page`</mark> query parameter to navigate through results.
> * You can fetch list of tokens directly by specifying the <mark style="color:orange;">`chain`</mark> and <mark style="color:orange;">`ecosystem`</mark>—no need to pass individual token addresses.
> * To retrieve details for specific token(s), use the <mark style="color:orange;">`token_addresses`</mark> query parameter.
> * This endpoint is **x402 payment–enabled**, opening access for all users — simply **pay and use** without needing an API key.

### **Authentication**

This endpoint supports **two authentication methods**:

<table data-header-hidden><thead><tr><th width="254.30078125"></th><th></th></tr></thead><tbody><tr><td><strong>Method</strong></td><td><strong>Description</strong></td></tr><tr><td><strong>API Key</strong></td><td>Provide your Loky API key using the <mark style="color:orange;"><code>api_key</code></mark> parameter for authenticated access.</td></tr><tr><td><strong>x402 Payment Protocol</strong></td><td>If <mark style="color:orange;"><code>api_key</code></mark> is not provided, the request automatically uses the <a href="https://x402.gitbook.io/x402">x402 protocol</a> for on-chain payment verification.</td></tr></tbody></table>

For seamless integration, user can follow the [**x402 Quickstart Guide for Buyers**](https://x402.gitbook.io/x402/getting-started/quickstart-for-buyers).

### **Query Parameters**

<table data-header-hidden><thead><tr><th width="167.38671875"></th><th width="134.09375"></th><th width="160.62890625"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter name</strong></td><td><strong>Type</strong></td><td><strong>Mandatory</strong></td><td><strong>Description</strong></td></tr><tr><td><mark style="color:orange;"><code>api_key</code></mark></td><td>string</td><td>No</td><td>Your unique Loky API key used for authentication</td></tr><tr><td><mark style="color:orange;"><code>chain</code></mark></td><td>string</td><td>Yes</td><td>The network chain to query. Supported chains: <mark style="color:orange;">base, solana</mark></td></tr><tr><td><mark style="color:orange;"><code>token_addresses</code></mark></td><td>string</td><td>No</td><td>Comma-separated token contract addresses (upto 30) to fetch info</td></tr><tr><td><mark style="color:orange;"><code>ecosystem</code></mark></td><td>string</td><td>No</td><td>Specific ecosystem tokens to query. Supported ecosystem: <mark style="color:orange;">virtuals</mark></td></tr><tr><td><mark style="color:orange;"><code>page</code></mark></td><td>integer</td><td>No, Default page 1</td><td>Page number, 100 items per page.</td></tr></tbody></table>

### **Sample Request**

{% code overflow="wrap" %}

```bash
# With Pagination Enabled Chain Filter
curl --location 'https://api.dapplooker.com/v1/crypto-metainfo?api_key=<API_KEY>&chain=base&page=1'

# With Pagination Enabled Ecosystem Filter
curl --location 'https://api.dapplooker.com/v1/crypto-metainfo?api_key=<API_KEY>&chain=base&ecosystem=virtuals&page=1'

# With Specific Token Addresses
curl --location 'https://api.dapplooker.com/v1/crypto-metainfo?api_key=<API_KEY>&chain=solana&token_addresses=FVdo7CDJarhYoH6McyTFqx71EtzCPViinvdd1v86Qmy5%2C2w3A2P5juwg234spHKfps7WReWoVmujtErqjaZm9VaiP&page=1'
```

{% endcode %}

### **Sample Response**

```json
[
  {
    "id": "aimonica-brands",
    "symbol": "AIMONICA",
    "name": "Aimonica Brands",
    "address": "FVdo7CDJarhYoH6McyTFqx71EtzCPViinvdd1v86Qmy5",
    "chain": "solana",
    "ecosystem": "solana"
  },
  {
    "id": "aipump",
    "symbol": "AIPUMP",
    "name": "aiPump",
    "address": "2w3A2P5juwg234spHKfps7WReWoVmujtErqjaZm9VaiP",
    "chain": "solana",
    "ecosystem": "solana"
  }
]
```

### **Response Fields Explanation**

* <mark style="color:orange;">`id`</mark> *(string)*: A unique assigned identifier for the token.
* <mark style="color:orange;">`symbol`</mark> *(string)*: The token's symbol, typically used for trading or display.
* <mark style="color:orange;">`name`</mark> *(string)*: The human-readable name of the token.
* <mark style="color:orange;">`address`</mark> *(string)*: The token's on-chain contract or mint address.
* <mark style="color:orange;">`chain`</mark> *(string)*: The blockchain network where the token is deployed.
* <mark style="color:orange;">`ecosystem`</mark> *(string)*: The broader platform or ecosystem the token belongs to.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dapplooker.com/data-apis-for-ai/token-directory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
